Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.SecureRMIDemo
Interface Purse

All Superinterfaces:
  Remote

All Known Implementing Classes:
  SecurePurseImpl

    public interface Purse

extends Remote

Field Summary
`static short` | `BAD_ARGUMENT`
`static short` | `CORRUPTED_DATA`
`static short` | `MAX_AMOUNT`
`static short` | `OVERFLOW`
`static short` | `REQUEST_DENIED`
`static short` | `UNDERFLOW`

Method Summary
`void` | `credit(short m)`
`void` | `debit(short m)`
`byte[]` | `getAccountNumber()`
`short` | `getBalance()`
`void` | `setAccountNumber(byte[] number)`

Field Detail

### UNDERFLOW

    static final short UNDERFLOW

See Also:
  Constant Field Values

### OVERFLOW

    static final short OVERFLOW

See Also:
  Constant Field Values

### BAD_ARGUMENT

    static final short BAD_ARGUMENT

See Also:
  Constant Field Values

### REQUEST_DENIED

    static final short REQUEST_DENIED

See Also:
  Constant Field Values

### CORRUPTED_DATA

    static final short CORRUPTED_DATA

See Also:
  Constant Field Values

### MAX_AMOUNT

    static final short MAX_AMOUNT

See Also:
  Constant Field Values

Method Detail

### getBalance

    short getBalance()
                     throws RemoteException,
                            UserException

  Throws:
    `RemoteException`
    `UserException`

### debit

    void debit(short m)
               throws RemoteException,
                      UserException

  Throws:
    `RemoteException`
    `UserException`

### credit

    void credit(short m)
                throws RemoteException,
                       UserException

  Throws:
    `RemoteException`
    `UserException`

### setAccountNumber

    void setAccountNumber(byte[] number)
                          throws RemoteException,
                                 UserException

  Throws:
    `RemoteException`
    `UserException`

### getAccountNumber

    byte[] getAccountNumber()
                            throws RemoteException,
                                   UserException

  Throws:
    `RemoteException`
    `UserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD